Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class PrefixAndSuffixAwareTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.miscellaneous.PrefixAndSuffixAwareTokenFilter

    public class PrefixAndSuffixAwareTokenFilter

extends TokenStream

Links two PrefixAwareTokenFilter

Constructor Summary
`PrefixAndSuffixAwareTokenFilter(TokenStream prefix, TokenStream input, TokenStream suffix)`

Method Summary
`void` | `close()`
`Token` | `next(Token reusableToken)`
`void` | `reset()`
`Token` | `updateInputToken(Token inputToken, Token lastPrefixToken)`
`Token` | `updateSuffixToken(Token suffixToken, Token lastInputToken)`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixAndSuffixAwareTokenFilter

    public PrefixAndSuffixAwareTokenFilter(TokenStream prefix,
                                           TokenStream input,
                                           TokenStream suffix)

Method Detail

### updateInputToken

    public Token updateInputToken(Token inputToken,
                                  Token lastPrefixToken)

### updateSuffixToken

    public Token updateSuffixToken(Token suffixToken,
                                   Token lastInputToken)

### next

    public Token next(Token reusableToken)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Overrides:
    `close` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.